org.apache.xmlbeans

## Interface XmlToken

- All Superinterfaces:
    XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlTokenSource
  All Known Subinterfaces:
    XmlENTITY, XmlID, XmlIDREF, XmlLanguage, XmlName, XmlNCName, XmlNMTOKEN
  All Known Implementing Classes:
    XmlEntityImpl, XmlIdImpl, XmlIdRefImpl, XmlLanguageImpl, XmlNameImpl, XmlNCNameImpl, XmlNmTokenImpl, XmlTokenImpl

      public interface XmlToken
      extends XmlNormalizedString

  Corresponds to the XML Schema xs:token type. One of the derived types based on xs:string.

  A token is XML's best representation for a "whitespace insensitive string." All carriage returns, linefeeds, and tabs are converted to ordinary space characters (as with xs:normalizedString), and furthermore, all contiguous runs of space are collapsed to single spaces, and leading and trailing spaces are trimmed.

  If you want `" high priority "` to be equivalent to `"high priority"`, you should consider using xs:token or a subtype of xs:token.

  When the `XmlAnySimpleType.getStringValue()` is obtained from an XmlToken, the normalized, trimmed, whitespace collapsed value is returned.

  Convertible to `String`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlToken>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlToken> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.